<?php if (!defined('APPLICATION')) exit(); ?>
<h1><?php echo T($this->Data['Title']); ?></h1>
<div class="Info">
   <?php echo T($this->Data['Description']); ?>
</div>
<div class="FilterMenu">
      <?php
      echo Anchor(
         T($this->Plugin->IsEnabled() ? 'Disable' : 'Enable'),
         $this->Plugin->AutoTogglePath(),
         'SmallButton'
      );
   ?>
</div>
<?php if (!$this->Plugin->IsEnabled()) return; ?>
<h3>Add a Feed</h3>
<div class="AddFeed">
   <?php 
      echo $this->Form->Open(array(
         'action'  => Url('plugin/magpierss/addfeed')
      ));
      echo $this->Form->Errors();
      
      $Refreshments = array(
               "1h"  => T("Hourly"),
               "1d"  => T("Daily"),
               "3d"  => T("Every 3 Days"),
               "1w"  => T("Weekly"),
               "2w"  => T("Every 2 Weeks")
            );
      $UserID = array(
               "1"  => T("Admin"),
               "2"  => T("System"),
               "3"  => T("UserID 3"),
               "4"  => T("UserID 4"),
               "5"  => T("UserID 5")
            );
      $CategoryID = array(
               "1"  => T("1"),
               "2"  => T("2"),
               "3"  => T("3"),
               "4"  => T("4"),
               "5"  => T("5"),
               "6"  => T("6"),
               "7"  => T("7"),
               "8"  => T("8"),
               "9"  => T("9"),
               "10"  => T("10")
               
            );
      
   ?>
      <ul>
         <li>
            <div class="Info">Add a new Auto Discussion Feed</div>
         <?php
            echo $this->Form->Label('Feed URL', 'MagpieRSS.FeedURL');
            echo $this->Form->TextBox('MagpieRSS.FeedURL', array('class' => 'InputBox'));
         ?></li>
         <li><?php
            echo $this->Form->CheckBox('MagpieRSS.FeedOption.Historical', T('Import Older Posts'), array('value' => '1'));
         ?></li>
               
         <li><?php
            echo $this->Form->Label('Minimum Polling Frequency', 'MagpieRSS.FeedOption.Refresh');
            echo $this->Form->DropDown('MagpieRSS.FeedOption.Refresh', $Refreshments, array('value'  => "1d"));
         ?></li>
         <li><?php
             echo $this->Form->Label('Poster identity', 'MagpieRSS.FeedOption.UserID');
             echo $this->Form->DropDown('MagpieRSS.FeedOption.UserID', $UserID, array('value'  => "2"));
             
         ?></li>
         <li><?php
             echo $this->Form->Label('Category', 'MagpieRSS.FeedOption.CategoryID');
             echo $this->Form->DropDown('MagpieRSS.FeedOption.CategoryID', $CategoryID, array('value'  => "1"));
              // echo $this->Form->CategoryDropDown('Category');


         ?><span>To find the Category ID for the Category you want, you must inspect the source code in the Categories page of the forum using a web inspector and find the Category li id , will look like this <?php echo'< ul class="DataList CategoryList"  >< li id="Category_6" class="Item Category-The Name of your Category" > So then the Category ID is 6 in the case of this example.';?> The General category will always be Category_1. The ID Number is not the same as the the Order you drag them into in the dashboard. The Id is created in the order you created the Category. The settings you save here for the Category and the User only affect what you see in the dashboard. To Change the User you must edit the Plugin file and add the Id where it says add UserID or add CategoryID here . Or you can change the Category by selecting the discussions and moving them to another category.</span>
              </li>
      </ul>
   <?php
      echo $this->Form->Close("Add Feed");
   ?>
</div>

<h3><?php echo T('Active Feeds'); ?></h3>
<a target="_blank" href="<?php echo Url('/plugin/magpierss/checkfeeds'); ?>">Check Feed Now</a>
<p><span>This will trigger the feed to be polled and it will take you to a blank page, this is normal because you are not supposed to see the data. Just close the window and go back to the forum to see if the feed was poted. </span></p>
<div class="ActiveFeeds">
<?php
   $NumFeeds = count($this->Data['Feeds']);
   if (!$NumFeeds) {
      echo T("You have no active auto feeds at this time.");
   } else {
      echo "<div>".$NumFeeds." ".Plural($NumFeeds,"Active Feed","Active Feeds")."</div>\n";
      foreach ($this->Data['Feeds'] as $FeedURL => $FeedItem) {
         $LastUpdate = $FeedItem['LastImport'];
         $Frequency = GetValue($FeedItem['Refresh'], $Refreshments, T('Unknown'));
	 $UserID = GetValue($FeedItem['UserID'], $UserID, T('Unknown'));
    $CategoryID=GetValue($FeedItem['CategoryID'], $CategoryID, T('Unknown'));
?>
         <div class="FeedItem">
            <div class="DeleteFeed">
               <a title="Warning: This will delete ALL the Feeds" href="<?php echo Url('/plugin/magpierss/deletefeed/'.MagpieRSSPlugin::EncodeFeedKey($FeedURL)); ?>">Delete this Feed</a>
            </div>
            <div class="FeedContent">
               <div class="FeedItemURL"><?php echo Anchor($FeedURL,$FeedURL); ?></div>
               <div class="FeedItemInfo">
                  <span>Updated: <?php echo $LastUpdate; ?></span>
                  <span>Refresh: <?php echo $Frequency; ?></span>
		            <span>AuthorID: <?php  echo $UserID; ?></span>
                  <span>Category: <?php  echo $CategoryID; ?></span>
               </div>
            </div>
         </div>
<?php
      }
   }
?>
</div>
<script type="text/javascript"> 
   jQuery(document).ready(function($) {
      
      // Show drafts delete button on hover
      // Show options on each row (if present)
      $('div.ActiveFeeds div.FeedItem').livequery(function() {
         var row = this;
         var del = $(row).find('div.DeleteFeed');
         $(del).hide();
         $(row).hover(function() {
            $(del).show();
            $(row).addClass('Active');
         }, function() {
            if (!$(del).find('div.FeedItem').hasClass('ActiveFeed'))
               $(del).hide();
               
            $(row).removeClass('ActiveFeed');
         });
      });
   
   });
</script>